API ReferenceAffiliates
List affiliate referrals
List referral commissions and the purchase and line item that earned them.
Percentage commissions expose commission.percentage as a decimal string. Fixed commissions expose commission.amount_usd_cents as integer USD cents; the unused value is null.
AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
Query Parameters
affiliate_id?integer
Filter by store affiliate ID.
Range
1 <= valueorder_id?integer
Filter by attributed Order ID.
Range
1 <= valuestatus?string
Filter by referral status.
Value in
"created" | "accepted" | "in_review" | "pending" | "paid" | "rejected" | "void" | "expired"limit?integer
Number of items to return per page.
Default
15Range
1 <= value <= 100page?integer
Page number to return.
Default
1Range
1 <= valueHeader Parameters
X-STORE?string
Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/affiliate-referrals" \ -H "X-STORE: launch-lab"{
"data": [
{
"id": 89,
"affiliate_id": 88,
"affiliate_email": "alex@example.com",
"order_id": 9001,
"invoice_v2_id": 9002,
"product_variant_id": 4321,
"product_title": "Design kit",
"variant_title": "Standard",
"customer_id": 77,
"amount_usd_cents": 200,
"commission": {
"type": "percentage",
"percentage": "10",
"amount_usd_cents": null
},
"status": "created",
"eligible_for_payout_at": "2026-10-01T12:00:00Z",
"payout_id": null,
"created_at": "2026-09-01T12:00:00Z",
"updated_at": "2026-09-01T12:00:00Z"
}
],
"links": {
"first": "https://sell.app/api/v2/affiliate-referrals?page=1",
"last": "https://sell.app/api/v2/affiliate-referrals?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://sell.app/api/v2/affiliate-referrals?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "https://sell.app/api/v2/affiliate-referrals",
"per_page": 15,
"to": 1,
"total": 1
}
}{
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request could not be understood.",
"status": 400,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#bad-request"
}{
"type": "authentication_error",
"code": "unauthenticated",
"message": "Unauthenticated.",
"status": 401,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}{
"type": "authorization_error",
"code": "forbidden",
"message": "This action is unauthorized.",
"status": 403,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#forbidden"
}{
"type": "validation_error",
"code": "validation_failed",
"message": "The selected product variant id is invalid.",
"status": 422,
"param": "product_variant_id",
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#validation-failed",
"errors": {
"product_variant_id": [
"The selected product variant id is invalid."
]
}
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "Too Many Attempts.",
"status": 429,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}{
"type": "api_error",
"code": "api_error",
"message": "Server Error",
"status": 500,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#api-error"
}